## firefox-themes-ubuntu 0.5.4.4

=== Makefile ===
all:	makesrc makepkg

clean:	cleansrc cleanpkg

makepkg:
	cd pkg && make

makesrc:
	cd src && make

cleansrc:
	cd src && make clean

cleanpkg:
	cd pkg && make clean

=== pkg/Makefile ===
SHELL=/bin/bash

VERSION=`cat ../src/VERSION`

all:	buildsrc buildpkg clean

buildsrc:
	mkdir -p src/{DEBIAN,usr/lib/firefox/extensions}
	chmod +x ./buildsrc.sh
	./buildsrc.sh

buildpkg:
	: "WARNING - $@ is deprecated; use debian/rules instead -iwj"
	sleep 1

	mkdir -p src/DEBIAN
	chmod -R 755 src

	sed "s/SIZE/`du -sk --apparent-size src/usr | cut -f 1`/g" control.template \
		| sed "s/VERSION/$(VERSION)/g" > src/DEBIAN/control

	set -e; cd src ; find usr -type f | xargs md5sum > DEBIAN/md5sums

	fakeroot dpkg -b src firefox-themes-ubuntu_$(VERSION).deb

	test -d bin || mkdir bin
	mv *.deb bin

clean:
	rm -Rf src

=== src/Makefile ===
all:
	chmod +x ./createtheme.php
	./createtheme.php
	mv -f *.jar ../bin
	mv -f *.html ../debug
clean:
	rm -Rf classic
	rm -f *.jar
	rm -f *.html

## firefox-themes-ubuntu 0.5.4

=== debian/changelog ===
firefox-themes-ubuntu (0.5.4) edgy; urgency=low

  * Updated to latest bzr (revno: 24), changes by Frank Schoep:
    - Implemented pressed icon states for the main, small, bookmark
      and help toolbar
    - Added a renderDarkened() function to render pressed icon versions.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 10 Oct 2006 19:21:10 +0100

firefox-themes-ubuntu (0.5.3) edgy; urgency=low

  Changes from bzr, by Frank Schoep:
  * Fixed Preferences dialog icons, removed custom code for
    the Go-button.
  * Adding custom dialog-apply icon based on Tango / Tangerine since it
    was deleted from icon packages.

 -- Ian Jackson <iwj@ubuntu.com>  Mon, 25 Sep 2006 17:10:15 +0100

firefox-themes-ubuntu (0.5.2) edgy; urgency=low

  * [Frank Schoep]:
    - debian/control:
      - changed ubuntu-artwork Build-Depends to human-icon-theme.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 28 Aug 2006 16:30:27 +0200

firefox-themes-ubuntu (0.5.1) edgy; urgency=low

  * New arrangements (/etc/firefox/pref/theme.js-actual) for
    enabling and disabling the use of the human theme by default.
  * debian/rules tidied up a bit, increased use of debhelper.
  * A couple of bashism-bugs fixed with appropriate use of /bin/bash.
  * A couple of `set -e' bugs fixed.
  * Source package renamed to firefox-themes-ubuntu.
  * Stale Debian-packaging stuff in `pkg' directory is more deprecated:
    - removed old postinst and prerm scripts completely
    - added a warning that the `buildpkg' target is deprecated
  * Added .bzrignore listing stuff generated by the build.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 24 Aug 2006 15:54:22 +0100

ubuntu-php-firefox-human (0.5.0) edgy; urgency=low

  * New processing arrangements for Firefox 2 (beta), from
    Frank Schoep via bzr.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 24 Aug 2006 15:50:42 +0100

ubuntu-php-firefox-human (0.4.5) dapper; urgency=low

  * Add firefox to Build-Depends, so we can fall back to existing
    theme data.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 30 May 2006 14:22:14 +0100

ubuntu-php-firefox-human (0.4.4) dapper; urgency=low

  * Build-Depend on debhelper.
  * Clean up debian/control (move Section, Priority; add
    Standards-Version; remove duplicate Depends).
  * Make debian/copyright exist after `clean'.
  * Install the changelog.
  * Update FSF address.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 19:08:26 +0100

ubuntu-php-firefox-human (0.4.3) dapper; urgency=low

  * Add Build-Depends on tango-icon-theme-common (since things have been
    split up some more, it seems).

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 18:15:01 +0100

ubuntu-php-firefox-human (0.4.2) dapper; urgency=low

  * Rebuild to include new icons from themes.

 -- Ian Jackson <iwj@ubuntu.com>  Fri, 26 May 2006 17:10:50 +0100

ubuntu-php-firefox-human (0.4.1) unstable; urgency=low

  * Initial version with normal Debian-format source package

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 16 May 2006 18:34:13 +0100

=== debian/control ===
Source: firefox-themes-ubuntu
Maintainer: Frank Schoep <frank@ffnn.nl>
Build-Depends: human-icon-theme, tangerine-icon-theme, tango-icon-theme, tango-icon-theme-common, firefox, php5-cli, imagemagick, inkscape, java-gcj-compat, file, debhelper (>= 4)
Standards-Version: 3.7.2
Section: web
Priority: optional

Package: firefox-themes-ubuntu
Depends: firefox (>= 1.9)
Section: web
Priority: optional
Architecture: all
Description: Firefox themes matching the Ubuntu desktop look
 This package provides Firefox with a consistent look for the Ubuntu desktop.
 There are three Firefox themes included in this package:
  - Human
  - Tangerine
  - Tango
 .
 Upon installation, the Human theme is set to be the default theme for
 new users.

## firefox-themes-ubuntu 0.5.4.1~6.10

=== debian/changelog ===
firefox-themes-ubuntu (0.5.4.1~6.10) edgy-security; urgency=low

  * Backported to edgy.

 -- Kees Cook <kees@ubuntu.com>  Thu,  4 Jan 2007 08:13:00 -0800

firefox-themes-ubuntu (0.5.4.1) feisty; urgency=low

  * Bump em:maxVersion to 2.0.0.* (LP: #76871).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 Dec 2006 16:17:22 +0000

## firefox-themes-ubuntu 0.5.4.2

=== debian/changelog ===
firefox-themes-ubuntu (0.5.4.2) gutsy; urgency=low

  * Handle theme sources as either a jar or a directory; adds a
    build-dependency on "unzip", since fastjar has annoying semantics
    for jar extraction.  LP: #127200.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Oct 2007 18:08:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: firefox-themes-ubuntu
 Maintainer: Frank Schoep <frank@ffnn.nl>
-Build-Depends: human-icon-theme, tangerine-icon-theme, tango-icon-theme, tango-icon-theme-common, firefox, php5-cli, imagemagick, inkscape, java-gcj-compat, file, debhelper (>= 4)
+Build-Depends: human-icon-theme, tangerine-icon-theme, tango-icon-theme, tango-icon-theme-common, firefox, php5-cli, imagemagick, inkscape, java-gcj-compat, file, debhelper (>= 4), unzip
 Standards-Version: 3.7.2
 Section: web
 Priority: optional

## firefox-themes-ubuntu 0.5.4.4

=== debian/changelog ===
firefox-themes-ubuntu (0.5.4.4) hardy; urgency=low

  * use firefox-2 as depends and build-depends; this package is not needed
    for firefox 3 as it already matches the ubuntu look. (LP: #194459)
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 26 Mar 2008 17:26:19 +0100

firefox-themes-ubuntu (0.5.4.3) hardy; urgency=low

  * Fixed #127200 again, in a different way, because the changes were not in
    bzr yet. Also reviewed some changes which never made it to bzr for whatever
    reason.
  * debian/control:
    - changed Build-Depends from Tangerine + gnome* + Human to Human +
      Tangerine + GNOME to reflect changes in distro.
    - added *XS-VCS-Bzr* header.
  * docs/todo.txt, pkg/buildsrc.sh, pkg/control.template,
    src/createdownloads.php, src/createshared.php, src/createtheme.php,
    src/custom/tango/browsercontents.rdf, src/custom/tango/contents.rdf,
    src/custom/tango/install.rdf, src/filesystemfunctions.php,
    src/initialize.php, src/patchcolors.php, src/custom/tango: replace
    occurences of 'Tango' with 'gnome'.
  * src/initialize.php: instead of copying /usr/share/firefox/chrome/classic
    around, extract /usr/share/firefox/chrome/classic.jar, fixes FTBFS.
  * src/createextensions.php: workaround renamed icons: system-installer ->
    synaptic.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 16 Nov 2007 10:49:54 +0100

=== debian/control ===
Source: firefox-themes-ubuntu
Maintainer: Frank Schoep <frank@ffnn.nl>
Build-Depends: human-icon-theme, tangerine-icon-theme, gnome-icon-theme, firefox-2, php5-cli, imagemagick, inkscape, java-gcj-compat, file, debhelper (>= 4)
Standards-Version: 3.7.2
XS-VCS-Bzr: http://bazaar.launchpad.net/~ubuntu-art-pkg/firefox-themes-ubuntu/ubuntu
Section: web
Priority: optional

Package: firefox-themes-ubuntu
Depends: firefox-2 (>= 1.9)
Section: web
Priority: optional
Architecture: all
Description: Firefox themes matching the Ubuntu desktop look
 This package provides Firefox with a consistent look for the Ubuntu desktop.
 There are three Firefox themes included in this package:
  - Human
  - Tangerine
  - gnome
 .
 Upon installation, the Human theme is set to be the default theme for
 new users.

=== debian/rules ===
#! /usr/bin/make -f

SHELL=/bin/bash

build: build-stamp
build-stamp: debian/copyright
	dh_testdir
	$(MAKE) -C src all
	touch $@

clean: debian/copyright
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) -C src clean
	$(MAKE) -C pkg clean
	rm -f bin/*.jar
	dh_clean

install-stamp:
	$(MAKE) -C pkg buildsrc
	touch $@

debian/copyright: debian/substcopyright debian/copyright.in
	perl -n $^ >$@.new && mv -f $@.new $@

binary: binary-arch binary-indep
binary-arch:
binary-indep: install-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cp -av pkg/src/. debian/firefox-themes-ubuntu/.
	dh_install
	dh_link
	dh_installdocs
	dh_installchangelogs
	dh_installdeb
	dh_compress
	dh_gencontrol
	dh_md5sums
	dh_fixperms
	dh_builddeb

.PHONY: build clean install binary binary binary-indep binary-arch
